___jonify = function(base, onComplete){
    console.log(2222222);
    console.log(window.location);
    console.log(2222222);

    var groups = {};
    var resources = $("#resources");

    $(".resource").each(function(){
        var el = $(this);
        var subParts = el.attr("id").substring("resources".length).split(":");
        var arr = groups[subParts[0]] || [];
        arr.push(el);
        groups[subParts[0]] = arr;
    });

    var descriptionsMap = {
        "vsa": "ONTAP Cloud AWS working environment operations",
        "aws-ha": "ONTAP Cloud AWS HA working environment operations",
        "azure-vsa": "ONTAP Cloud Azure working environment operations",
        "azure-ha": "ONTAP Cloud Azure HA working environment operations",
        "gcp-vsa": "ONTAP Cloud GCP working environment operations",
        "gcp-ha": "ONTAP Cloud GCP HA working environment operations",
        "onprem": "On-premises (Data ONTAP cluster) working environment operations",
        "occm": "Cloud Manager system operations",
        "fas": "NPS working environment operations",
        "user-mng": "User management operations",
        "replication": "Replication operations",
        "audit": "Audit operations",
        "tenants": "Tenant operations",
        "costs": "Cost operations",
        "cloudsync": "Cloud sync operations",
        "volume-view": "Volume view operations",
        "working-environments": "Working environment operations",
        "active-directory": "Active directory operations",
        "cloud-storage-automation": "Cloud Storage Automation operations",
        "cloud-volumes": "Cloud Volumes operations",
        "kubernetes": "Kubernetes operations",
        "accounts": "Account operations"
    };

    var groupings = [];
    _.each(groups, function(value, key){
        var grouping = $("<ul class='grouping' style='border-bottom: 1px solid #dddddd;'>");
        grouping.data("grouping-key", descriptionsMap[key] || key);
        groupings.push(grouping);

        if(value.length > 0){
            var heading = $("<li class='resource'><div class='heading' style='cursor: pointer;'><h2 class='group'>" + (descriptionsMap[key] || key) +"</h2></div></li>");
            grouping.append(heading);
        }else{
            var h2 = value[0].find(".heading h2");
            var a = h2.find("a");
            a.text(h2.contents().filter(function(){return this.nodeType == 3;})[1].nodeValue.substring(2));
            a.text(a.text().substring(2));
            h2.contents()
                .filter(function(){return this.nodeType == 3;})[1]
                .nodeValue = ""
        }


        var subGroupings = {};
        _.each(value, function(val){
            var a = val.find(".heading h2 a");
            a.text(a.text().replace(/.+:-/, "").replace(":", "/").replace("user-mng/", ""));

            var subs = a.text().split(":");
            var children = [];
            if(subs.length > 1) {
                a.text(a.text().replace(":", "/"));

                var kkk = subGroupings[subs[0]];
                if(kkk) {
                    var subGrouping = kkk.subGrouping;
                    var subChildren = kkk.subChildren;
                    var subHeading = kkk.subHeading;
                } else {
                    subGrouping = $("<ul class='grouping' style='border-bottom: 1px solid #dddddd;'>");
                    subHeading = $("<li class='resource' style='padding-left: 15px;'><div class='heading' style='cursor: pointer;'><h2 class='group'>" + subs[0] +"</h2></div></li>");
                    subGrouping.append(subHeading);
                    grouping.append(subGrouping);
                    subChildren = [];
                    subGroupings[subs[0]] = {
                        subGrouping: subGrouping,
                        subHeading: subHeading,
                        subChildren: subChildren
                    };
                    subGrouping.hide();
                    children.push(subGrouping);
                }

                subGrouping.append(val);
                subChildren.push(val);

                a.css("padding-left", "30px");
                val.hide();

                subHeading.click(function(){
                    val.toggle();
                });
            } else {
                grouping.append(val);
                children.push(val);

                if(heading){
                    val.hide();
                    a.css("padding-left", "15px");
                }
            }

            if(heading) {
                heading.click(function(){
                    _.each(children, function(val){
                        val.toggle();
                    });
                });
            }


            $("li .get.operation :contains('/occm/system/backup')").first().parent().find("input").replaceWith($("<a href='" + base + "/occm/system/backup' download='backup'> Download Backup </a>"))
        });
    });

    groupings = _.sortBy(groupings, function(el){
        return el.data("grouping-key").toLowerCase();
    });

    _.each(groupings, function(grouping){
        resources.append(grouping)
    });

    onComplete();
};

___jonify.rendered = 0;